# Class DataReader

java.lang.Object
java.io.Reader
java.io.BufferedReader
javajs.util.DataReader

All Implemented Interfaces:
  `Closeable, AutoCloseable, Readable`

Direct Known Subclasses:
  `ArrayDataReader, ListDataReader, StringDataReader`

public abstract class DataReader extends BufferedReader
Just a simple abstract class to join a String reader and a String[] reader under the same BufferedReader umbrella. Subclassed as StringDataReader, ArrayDataReader, and ListDataReader

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`ptMark`

### Fields inherited from class Reader

`lock`

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`DataReader()`
`protected`
`DataReader(Reader in)`

## Method Summary

Modifier and Type
Method
Description
`BufferedReader`
`getBufferedReader()`
`protected int`
`readBuf(char[] buf, int off, int len)`
`abstract DataReader`
`setData(Object data)`

### Methods inherited from class BufferedReader

`close, lines, mark, markSupported, read, read, readLine, ready, reset, skip`

### Methods inherited from class Reader

`nullReader, of, read, read, readAllAsString, readAllLines, transferTo`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ptMark

protected int ptMark

## Constructor Details

### DataReader

public DataReader()

### DataReader

protected DataReader(Reader in)

## Method Details

### setData

public abstract DataReader setData(Object data)

### getBufferedReader

public BufferedReader getBufferedReader()

### readBuf

protected int readBuf(char[] buf, int off, int len) throws IOException

Throws:
  `IOException`